package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import net.minecraft.entity.Entity;

import java.util.Map;

public class GooedActiveTickConditionProcedure {

	public static boolean executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				HemMod.LOGGER.warn("Failed to load dependency entity for procedure GooedActiveTickCondition!");
			return false;
		}
		Entity entity = (Entity) dependencies.get("entity");
		if (entity.isInWaterRainOrBubbleColumn()) {
			return false;
		}
		return true;
	}
}
